Google Analytics
Custom Events
GET
Retrieve Google Analytics custom events with metric mappings.
Filters:
organizationId(required)userId(optional)createdStart,createdEnd
ClientIdAuthClientSecretAuthheader
x-client-id<token>Client ID
header
x-client-secret<token>Client secret
organizationId*stringOrganization identifier (required)
userId?stringUser identifier (optional)
createdStart?stringStart date/time for filtering (optional, ISO 8601 format)
Format
date-timecreatedEnd?stringEnd date/time for filtering (optional, ISO 8601 format)
Format
date-timepage?integerPage number for pagination (optional)
Default
1limit?integerNumber of items per page (optional, max 5000)
Range
value <= 5000Default
500Successful response
application/json- response
data?array<>meta?curl -X GET "https://example.com/v1/google-analytics/custom-events?organizationId=organization_123&createdStart=2026-01-01T00%3A00%3A00Z&createdEnd=2026-01-31T23%3A59%3A59Z"{ "data": [ { "event_name": "string", "metric_name": "string", "metric_value": 0, "custom_event_category": "string", "custom_event_label": "string", "custom_rd_action": "string", "custom_rd_asset_id": "string", "custom_rd_filter": "string", "organization_id": "string", "user_id": "string", "inserted_at": "2019-08-24T14:15:22Z", "event_date": "2019-08-24", "document_id": "string" } ], "meta": { "page": 0, "limit": 0, "hasNextPage": true, "hasPreviousPage": true }}